--- /dev/null
+#!/bin/bash
+#
+# Copyright: Calin-Andrei Burloiu 2010 - calin.burloiu@gmail.com
+#
+# Bash script used to start a regular instance of XBT Unified Tracker
+# The script
+# * starts a XBT Unified Tracker daemon.
+#
+
+# Read the global configuration file
+# Check if the global configuration file exists
+if [ ! -e globalconfig ]; then
+ echo "Warning: The global config file globalconfig does not exist."
+else
+ source globalconfig
+fi
+
+# Read the node-specific configuration file (TORRENT_FILE)
+# Check if the node-specific configuration file exists
+if [ ! -e ../ClientWorkingFolders/TmpLogs/node_config ]; then
+ echo "Warning: The global config file ../ClientWorkingFolders/TmpLogs/node_config does not exist."
+else
+ source ../ClientWorkingFolders/TmpLogs/node_config
+fi
+
+cd $XBTUT_ABS_PATH
+
+./xbt_tracker
+
--- /dev/null
+#!/bin/bash
+#
+# Copyright: Calin-Andrei Burloiu 2010 - calin.burloiu@gmail.com
+#
+# Bash script used to stop all XBT Unified Tracker daemons.
+# The script
+# * stops all the XBT Unified Tracker instances
+
+if [ ! $# -eq 0 ]; then
+ echo "usage: $0"
+ exit 1
+fi
+
+pkill -f xbt_tracker
# hrktorrent with logging support
HRK_LOG_ABS_PATH="/home/p2p/p2p-clients/hrktorrent-logging/hrktorrent"
+# XBTUT_PATH
+XBTUT_ABS_PATH="/home/p2p/xbtut/Tracker"
+
# WORKING_FOLDER_REL_PATH is relative to TRIBLER_ABS_PATH folder
WORKING_FOLDER_REL_PATH="../../P2P-Testing-Infrastructure/ClientWorkingFolders"